<?php

$route->group(null)->namespace('Amwdeveloper\plugins\market');
$route->get("/market/vault", "view:vault");
$route->get("/market/advertise/item/{hex}", "view:advertiseitem");
$route->get("/market/all/items", "view:allitems");
$route->get("/market/my/ads", "view:myads");

$route->get("/market/items/{category}", "view:itemsCategory");
$route->get("/market/items/class/{class}", "view:itemsChar");
$route->get("/market/items/exc/{exc}", "view:itemsExc");

$route->group('auth')->namespace('Amwdeveloper\plugins\market');
$route->post("/market/advertise/item", "item:advertiseitem");
$route->post("/market/buy/item/{id}", "item:buyitem");
$route->get("/market/remove/item/{id}", "item:removeitem");
$route->post("/market/search/item", "item:searchitem");
